Bug 1479022 - Review Request: preeny - Some helpful preload libraries for pwning stuff
Review Request: preeny - Some helpful preload libraries for pwning stuff
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondřej Lysoněk
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 14:15 EDT by Jaroslav Škarvada
Modified: 2017-09-02 16:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-28 12:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
olysonek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2017-08-07 14:15:25 EDT
Spec URL: https://jskarvad.fedorapeople.org/preeny/preeny.spec
SRPM URL: https://jskarvad.fedorapeople.org/preeny/preeny-0.1-1.fc25.src.rpm
Description: Preeny helps you pwn noobs by making it easier to interact with services locally. It disables fork(), rand(), and alarm() and, if you want, can convert a server application to a console one using clever/hackish tricks, and can even patch binaries.
Fedora Account System Username: jskarvad
Comment 1 Ye Cheng 2017-08-08 04:32:08 EDT
(In reply to Jaroslav Škarvada from comment #0)

This is an unofficial review.

Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: coreutils gcc make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
- Directories without known owners: /usr/lib64/preeny
The directory is supposed to be owned by this package.
Please add %{_libdir}/%{name} to /etc/ld.so.conf.d/ (and run ldconfig) if it is intended for ld to find the installed libraries.
- %build honors applicable compiler flags or justifies otherwise.
     Note : %{?__global_ldflags} Linker flag relro and now may alter the behaviour of the application being debugged but now linker flag could potentially help to reveal the issue earlier. Addition of LDFLAGS="%{?__global_ldflags}" doesn't break the compilation.
- %check is present and all tests pass.
Upstream shipped 3 tests in /tests directory.
- Requires correct, justified where necessary.
libini_config is required (but not listed) at runtime. 

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[!]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
Please ignore this, because it will be quite tedious for user to type the full versioned soname and parallel installation of multiple version will be rare. The missing soname will unlikely become a issue because this library can be linked manually by path.
[-]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 23 files have unknown
     license. Detailed output of licensecheck in
     ~/1479022-preeny/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/preeny
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/preeny
[!]: %build honors applicable compiler flags or justifies otherwise.
     Note : global_ldflags not honored.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in preeny-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: preeny-0.1-1.fc26.x86_64.rpm
          preeny-debuginfo-0.1-1.fc26.x86_64.rpm
          preeny-0.1-1.fc26.src.rpm
preeny.x86_64: W: spelling-error Summary(en_US) preload -> reload, p reload, freeload
preeny.x86_64: W: spelling-error Summary(en_US) pwning -> owning, pawning, pining
preeny.x86_64: W: spelling-error %description -l en_US pwn -> own, pen, pawn
preeny.x86_64: W: spelling-error %description -l en_US noobs -> nubs, boons, boobs
preeny.src: W: spelling-error Summary(en_US) preload -> reload, p reload, freeload
preeny.src: W: spelling-error Summary(en_US) pwning -> owning, pawning, pining
preeny.src: W: spelling-error %description -l en_US pwn -> own, pen, pawn
preeny.src: W: spelling-error %description -l en_US noobs -> nubs, boons, boobs
3 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: preeny-debuginfo-0.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
preeny.x86_64: W: spelling-error Summary(en_US) preload -> reload, p reload, freeload
preeny.x86_64: W: spelling-error Summary(en_US) pwning -> owning, pawning, pining
preeny.x86_64: W: spelling-error %description -l en_US pwn -> own, pen, pawn
preeny.x86_64: W: spelling-error %description -l en_US noobs -> nubs, boons, boobs
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
preeny (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)

preeny-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
preeny:
    preeny
    preeny(x86-64)

preeny-debuginfo:
    preeny-debuginfo
    preeny-debuginfo(x86-64)



Unversioned so-files
--------------------
preeny: /usr/lib64/preeny/dealarm.so
preeny: /usr/lib64/preeny/defork.so
preeny: /usr/lib64/preeny/deptrace.so
preeny: /usr/lib64/preeny/derand.so
preeny: /usr/lib64/preeny/desigact.so
preeny: /usr/lib64/preeny/desleep.so
preeny: /usr/lib64/preeny/desock.so
preeny: /usr/lib64/preeny/desock_dup.so
preeny: /usr/lib64/preeny/desrand.so
preeny: /usr/lib64/preeny/ensock.so
preeny: /usr/lib64/preeny/logging.so
preeny: /usr/lib64/preeny/mallocwatch.so
preeny: /usr/lib64/preeny/patch.so
preeny: /usr/lib64/preeny/startstop.so
preeny: /usr/lib64/preeny/writeout.so

Source checksums
----------------
https://github.com/zardus/preeny/archive/0.1.tar.gz#/preeny-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 709fda365246d23eea6aba6ef5b22093289382190dc68a0cb86e632006a0bdb5
  CHECKSUM(SHA256) upstream package : 709fda365246d23eea6aba6ef5b22093289382190dc68a0cb86e632006a0bdb5


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1479022 -v
Buildroot used: fedora-26-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Jaroslav Škarvada 2017-08-08 06:10:41 EDT
(In reply to Ye Cheng from comment #1)
Thanks, I am going to address the problems in next version.
Comment 3 Jaroslav Škarvada 2017-08-08 06:36:48 EDT
(In reply to Ye Cheng from comment #1)
> (In reply to Jaroslav Škarvada from comment #0)
> 
> This is an unofficial review.
> 
> Issues:
> =======
> - All build dependencies are listed in BuildRequires, except for any that
>   are listed in the exceptions section of Packaging Guidelines.
>   Note: These BR are not needed: coreutils gcc make
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
False positives according to current rules all requirements has to be listed.

> - Directories without known owners: /usr/lib64/preeny
Fixed

> Please add %{_libdir}/%{name} to /etc/ld.so.conf.d/ (and run ldconfig) if it
> is intended for ld to find the installed libraries.
It's not intended, it's meant to be used by LD_PRELOAD

> - %build honors applicable compiler flags or justifies otherwise.
>      Note : %{?__global_ldflags} Linker flag relro and now may alter the
> behaviour of the application being debugged but now linker flag could
> potentially help to reveal the issue earlier. Addition of
> LDFLAGS="%{?__global_ldflags}" doesn't break the compilation.
Fixed

> - %check is present and all tests pass.
> Upstream shipped 3 tests in /tests directory.
They are not tests, but more like examples, i.e. there is no test/check rule in the Makefiles, it can just compile the sources in the tests directory, some test logic has to be written. Also I think this "examples" are useless for regular user, thus not including them.

> - Requires correct, justified where necessary.
> libini_config is required (but not listed) at runtime. 
This was caused by wrong build procedure, it should be fixed now and all runtime deps coulb be automatically picked by rpmbuild.

New version:
Spec URL: https://jskarvad.fedorapeople.org/preeny/preeny.spec
SRPM URL: https://jskarvad.fedorapeople.org/preeny/preeny-0.1-2.fc25.src.rpm
Comment 4 Ondřej Lysoněk 2017-08-09 05:06:23 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Group: tag should not be present (https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Tags_and_Sections)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "Unknown or generated". 23 files have unknown
     license. Detailed output of licensecheck in
     /home/olysonek/preeny-2/1479022-preeny/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in preeny-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: preeny-0.1-2.fc27.x86_64.rpm
          preeny-debuginfo-0.1-2.fc27.x86_64.rpm
          preeny-0.1-2.fc27.src.rpm
preeny.x86_64: W: spelling-error Summary(en_US) preload -> reload, p reload, freeload
preeny.x86_64: W: spelling-error Summary(en_US) pwning -> owning, pawning, pining
preeny.x86_64: W: spelling-error %description -l en_US pwn -> own, pen, pawn
preeny.x86_64: W: spelling-error %description -l en_US noobs -> nubs, boons, boobs
preeny.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
preeny.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
preeny-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
preeny.src: W: spelling-error Summary(en_US) preload -> reload, p reload, freeload
preeny.src: W: spelling-error Summary(en_US) pwning -> owning, pawning, pining
preeny.src: W: spelling-error %description -l en_US pwn -> own, pen, pawn
preeny.src: W: spelling-error %description -l en_US noobs -> nubs, boons, boobs
3 packages and 0 specfiles checked; 1 errors, 10 warnings.




Rpmlint (debuginfo)
-------------------
Checking: preeny-debuginfo-0.1-2.fc27.x86_64.rpm
preeny-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
preeny.x86_64: W: spelling-error Summary(en_US) preload -> reload, p reload, freeload
preeny.x86_64: W: spelling-error Summary(en_US) pwning -> owning, pawning, pining
preeny.x86_64: W: spelling-error %description -l en_US pwn -> own, pen, pawn
preeny.x86_64: W: spelling-error %description -l en_US noobs -> nubs, boons, boobs
preeny-debuginfo.x86_64: E: useless-provides debuginfo(build-id)
2 packages and 0 specfiles checked; 1 errors, 4 warnings.



Requires
--------
preeny (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libini_config.so.5()(64bit)
    libini_config.so.5(INI_CONFIG_1.1.0)(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

preeny-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
preeny:
    preeny
    preeny(x86-64)

preeny-debuginfo:
    debuginfo(build-id)
    preeny-debuginfo
    preeny-debuginfo(x86-64)



Unversioned so-files
--------------------
preeny: /usr/lib64/preeny/dealarm.so
preeny: /usr/lib64/preeny/defork.so
preeny: /usr/lib64/preeny/deptrace.so
preeny: /usr/lib64/preeny/derand.so
preeny: /usr/lib64/preeny/desigact.so
preeny: /usr/lib64/preeny/desleep.so
preeny: /usr/lib64/preeny/desock.so
preeny: /usr/lib64/preeny/desock_dup.so
preeny: /usr/lib64/preeny/desrand.so
preeny: /usr/lib64/preeny/ensock.so
preeny: /usr/lib64/preeny/logging.so
preeny: /usr/lib64/preeny/mallocwatch.so
preeny: /usr/lib64/preeny/patch.so
preeny: /usr/lib64/preeny/startstop.so
preeny: /usr/lib64/preeny/writeout.so

Source checksums
----------------
https://github.com/zardus/preeny/archive/0.1.tar.gz#/preeny-0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 709fda365246d23eea6aba6ef5b22093289382190dc68a0cb86e632006a0bdb5
  CHECKSUM(SHA256) upstream package : 709fda365246d23eea6aba6ef5b22093289382190dc68a0cb86e632006a0bdb5


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1479022
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Jaroslav Škarvada 2017-08-09 05:23:51 EDT
(In reply to Ondřej Lysoněk from comment #4)
Thanks for the review.
Comment 6 Ralph Bean 2017-08-10 13:05:10 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/preeny
Comment 7 Ralph Bean 2017-08-10 13:12:11 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/preeny
Comment 8 Fedora Update System 2017-08-18 07:30:23 EDT
preeny-0.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f4ec77ae9
Comment 9 Fedora Update System 2017-08-18 16:24:29 EDT
preeny-0.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f9be6a6352
Comment 10 Fedora Update System 2017-08-18 17:55:03 EDT
preeny-0.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-224cdd4d83
Comment 11 Fedora Update System 2017-08-19 14:56:14 EDT
preeny-0.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f4ec77ae9
Comment 12 Fedora Update System 2017-08-28 12:19:34 EDT
preeny-0.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-08-28 18:21:41 EDT
preeny-0.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-09-02 16:49:10 EDT
preeny-0.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.